Release Phone Number from Agent
curl --request POST \
--url https://api.trillet.ai/v1/api/agents/{agentId}/release/{phoneNumberId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"confirmation": true
}
'import requests
url = "https://api.trillet.ai/v1/api/agents/{agentId}/release/{phoneNumberId}"
payload = { "confirmation": True }
headers = {
"x-workspace-id": "<x-workspace-id>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-workspace-id': '<x-workspace-id>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({confirmation: true})
};
fetch('https://api.trillet.ai/v1/api/agents/{agentId}/release/{phoneNumberId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Call flow released from phone number successfully"
}
Telephony
Unassign Phone Number from Agent
Unassign a phone number from an agent’s call flow. This removes the assignment and automatically cleans up associated SIP trunking.
POST
/
v1
/
api
/
agents
/
{agentId}
/
release
/
{phoneNumberId}
Release Phone Number from Agent
Path Parameters
The ID of the agent whose phone number will be released.
The ID of the phone number to release from the agent.
Headers
Workspace identifier for the API. Required to scope the release operation.
Request Body
Are you sure you want to unbind this?
Response Fields
The updated agent object after the phone number has been released.
Request Body
No request body is required for this endpoint.{
"status": "success",
"message": "Call flow released from phone number successfully"
}
⌘I
